Page MenuHomePhabricator

Add a link to Recent changes made by mentees from the Mentor dashboard
Closed, ResolvedPublic

Description

As a Mentor, when I view my Mentor dashboard, then I can quickly navigate to the Recent changes feed filtered to show only edits from my mentees

Description
Some Mentors don't realized they can easily filter the Recent Changes feed to view only edits from their Mentees. Let's consider adding an easy way to navigate from the Mentor dashboard to a filtered view of Recent Changes narrowed down by mentorship+all.

Hypotheses:

  • If we provide a path to this filtered view from the Mentor dashboard, then more Mentors will review their Mentee's edits
  • If we provide a path to this filtered view from the Mentor dashboard, and also provide more incentives to encourage Mentors send praise to newcomers, then more Mentors will thank newcomers for good edits.

Design:
Figma file (Design D. Link below table in distinct section with heading)

Screen Shot 2022-10-14 at 8.47.59 AM.png (982×878 px, 123 KB)

Copy:

Recent changes by your mentees
You can view the edits made by all your mentees by visiting this filtered view of Recent Changes.

"this filtered view of Recent Changes" should link the Recent Changes, filtered by mentorship+all.

Acceptance Criteria

Given I'm a Mentor,
When I am viewing my Mentor dashboard,
Then from my "Your mentees" module, I can navigate to Recent Changes made by my mentees

Event Timeline

@KStoller-WMF I think the simplest solution to this would be to add a line of copy at the bottom of the module with a link to the filtered recent changes page:

Screenshot 2022-10-10 at 12.01.47.png (1×1 px, 392 KB)

I looked at adding this line of copy within the text at the top but not sure if it might be overlooked in this position?:

Screenshot 2022-10-10 at 12.04.24.png (1×1 px, 395 KB)

@KStoller-WMF I think the simplest solution to this would be to add a line of copy at the bottom of the module with a link to the filtered recent changes page:

Screenshot 2022-10-10 at 12.01.47.png (1×1 px, 392 KB)

I looked at adding this line of copy within the text at the top but not sure if it might be overlooked in this position?:

Screenshot 2022-10-10 at 12.04.24.png (1×1 px, 395 KB)

Maybe it could be a dedicated button next to the Filters button, with a tooltip containing the sentence from the mock?

Thanks for the suggestion @kostajh. I mocked it up but it doesn’t feel right to me for a few of reasons:

  • the items in that space feel like they should directly relate to or affect the table below
  • I think it will be challenging to make the text in the button both clear and concise
  • I don’t think it should be a button as it is technically a link rather than an action

Screenshot 2022-10-10 at 12.39.37.png (1×1 px, 380 KB)

Yeah, there isn't an obvious correct location for the link. I like the idea of less text, but I agree the button doesn't quite make sense there.

I think the simplest solution to this would be to add a line of copy at the bottom of the module with a link to the filtered recent changes page:

Screenshot 2022-10-10 at 12.01.47.png (1×1 px, 392 KB)

Agreed, this seems simple and logical.
My only suggestion is that we might want to consider differentiating that text slightly in some way. Perhaps in a similar way to how we separate "Claim mentee" in Settings. But I'm in no way attached to that idea, it just seems like "Recent changes by your mentees" is logically a subsection of "Your mentees", but it's also somewhat separate from the main table view, so it might be nice to visually separate it in some way. But feel free to disagree!

Screen Shot 2022-10-11 at 12.09.16 PM.png (890×1 px, 330 KB)

My only suggestion is that we might want to consider differentiating that text slightly in some way. Perhaps in a similar way to how we separate "Claim mentee" in Settings. But I'm in no way attached to that idea, it just seems like "Recent changes by your mentees" is logically a subsection of "Your mentees", but it's also somewhat separate from the main table view, so it might be nice to visually separate it in some way. But feel free to disagree!

@KStoller-WMF Yes I think that’s a good idea to distinguish it from the table a bit. Here’s a mock-up...

Screenshot 2022-10-13 at 10.41.38.png (1×1 px, 283 KB)

Screenshot 2022-10-13 at 10.41.38.png (1×1 px, 283 KB)

Nice, I personally like having it separated like that.

@RHo this is the task I briefly mentioned when we met. Any thoughts on this design / plan?

Screenshot 2022-10-13 at 10.41.38.png (1×1 px, 283 KB)

Nice, I personally like having it separated like that.

@RHo this is the task I briefly mentioned when we met. Any thoughts on this design / plan?

LGTM!

Change 844992 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[mediawiki/extensions/GrowthExperiments@master] [WIP] MenteeOverview: Add a link to recent changes by mentees

https://gerrit.wikimedia.org/r/844992

Urbanecm_WMF changed the task status from Open to In Progress.Oct 22 2022, 6:52 PM

Change 844992 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] MenteeOverview: Add a link to recent changes by mentees

https://gerrit.wikimedia.org/r/844992

@KStoller-WMF FYI, this will be deployed with the wmf.8 train (Thursday Nov 03 for Wikipedias).

Urbanecm_WMF changed the task status from In Progress to Open.Oct 25 2022, 11:01 AM
Urbanecm_WMF moved this task from Code Review to QA on the Growth-Team (Current Sprint) board.

@KStoller-WMF FYI, this will be deployed with the wmf.8 train (Thursday Nov 03 for Wikipedias).

Thanks! I included this in the weekly Growth update.

Etonkovidova closed this task as Resolved.EditedNov 8 2022, 2:54 AM
Etonkovidova added a subscriber: Etonkovidova.

Checked in wmf.8 - the link is present on Special:MentorDashboard

Screen Shot 2022-11-07 at 6.22.14 PM.png (736×984 px, 104 KB)

@Urbanecm_WMF - just to double check: the link from Special:MentorDashboard will display the filter which includes the following filters

  • Human (not bot)
  • Not translations
  • Page edits
  • Page creations
  • Logged actions
  • New users
  • Your starred mentees
  • Your unstarred mentees

Basically, the two mentees-related filters are added to the initial default set of filters plus of the filter options a user did set on Special:Preferences#mw-prefsection-rc. It could be a little confusing for mentors to see that starred/unstarred mentees filters get append to the set of (original) default filters.

Thanks @Etonkovidova, this sounds about right. It should also take in account user's personal defaults, if they used the "Set as default" button (see screenshot below). Sorry for not mentioning that in the acceptance criteria.

image.png (304×429 px, 13 KB)

Thanks @Etonkovidova, this sounds about right. It should also take in account user's personal defaults, if they used the "Set as default" button (see screenshot below). Sorry for not mentioning that in the acceptance criteria.

image.png (304×429 px, 13 KB)

Thx, @Urbanecm_WMF. I did test the case with the user-defined default filter. Such users' personal default filters won't be taken into account. Since it's relatively easy to come up with combinations of user-defined default filter and starred/unstarred mentees filters that might produce zero results or limiting the expected results. For example, if a user sets as their default filter "Bot + Likely bad faith", adding starred/unstarred mentees filters to that would significantly limit the info of mentees' activities

The description on Special:MentorDashboard - "Recent changes by your mentees. You can view the edits made by all your mentees by visiting this filtered view of Recent Changes." - states that all edits by mentees will be shown.


To summarize the current implementation: clicking on the link on Special:MentorDashboard "filtered view of Recent Changes" will

  • add Starred/Unstarred mentees filters to the initial (original) default set of filters on Special:RecentChanges, i.e.

Human (not bot)
No translations
Page edits
Page creations
Logged actions
New users

  • that initial (original) default will include the options that were set by a user on Special:Preferencess#mw-prefsection-rc, which may reduce the overall number of mentees' edits being displayed
  • the personal user default filter on Special:RecentChanges won't be taken into account